Bug 205472 - graphics/py-opengl{-accelerate}: Update to 3.1.0
Summary: graphics/py-opengl{-accelerate}: Update to 3.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks: 205864
  Show dependency treegraph
 
Reported: 2015-12-20 23:44 UTC by Matthew Rezny
Modified: 2016-05-10 21:57 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback+


Attachments
update py-opengl and py-opengl-accelerate to 3.1.0 (1.93 KB, patch)
2015-12-20 23:44 UTC, Matthew Rezny
no flags Details | Diff
fix py-PyOpenGL-accelerate (1.60 KB, patch)
2016-05-10 08:48 UTC, Matthew Rezny
no flags Details | Diff
fix py-PyOpenGL-accelerate (1.89 KB, patch)
2016-05-10 09:42 UTC, Matthew Rezny
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Rezny freebsd_committer 2015-12-20 23:44:07 UTC
Created attachment 164437 [details]
update py-opengl and py-opengl-accelerate to 3.1.0

The version of PyOpenGL currently in ports (3.0.1) seems broken, it blows up when something merely tries to import it.

Traceback (most recent call last):
  File "/usr/local/lib/python2.7/site-packages/xpra/client/gl/gl_check.py", line 528, in <module>
    sys.exit(main())
  File "/usr/local/lib/python2.7/site-packages/xpra/client/gl/gl_check.py", line 509, in main
    props = check_support(True, verbose)
  File "/usr/local/lib/python2.7/site-packages/xpra/client/gl/gl_check.py", line 468, in check_support
    gl_props = check_GL_support(glarea, force_enable)
  File "/usr/local/lib/python2.7/site-packages/xpra/client/gl/gl_check.py", line 163, in check_GL_support
    return do_check_GL_support(force_enable)
  File "/usr/local/lib/python2.7/site-packages/xpra/client/gl/gl_check.py", line 185, in do_check_GL_support
    from OpenGL.GL import GL_VERSION, GL_EXTENSIONS
  File "/usr/local/lib/python2.7/site-packages/OpenGL/GL/__init__.py", line 17, in <module>
    from OpenGL.GL.VERSION.GL_3_0 import *
  File "/usr/local/lib/python2.7/site-packages/OpenGL/GL/VERSION/GL_3_0.py", line 14, in <module>
    from OpenGL.raw.GL.VERSION.GL_3_0 import *
  File "/usr/local/lib/python2.7/site-packages/OpenGL/raw/GL/VERSION/GL_3_0.py", line 690, in <module>
    deprecated=_DEPRECATED,
  File "/usr/local/lib/python2.7/site-packages/OpenGL/platform/baseplatform.py", line 188, in createBaseFunction
    extension = extension,
  File "/usr/local/lib/python2.7/site-packages/OpenGL/platform/baseplatform.py", line 126, in constructFunction
    *argTypes
  File "/usr/local/lib/python2.7/ctypes/__init__.py", line 104, in CFUNCTYPE
    class CFunctionType(_CFuncPtr):
TypeError: Error when calling the metaclass bases
    _restype_ must be a type, a callable, or None

Updating PyOpenGL to the current version (3.1.0) resolves the problem. The attached port updated both py-opengl and py-opengl-accelerate to 3.1.0.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-21 01:39:01 UTC
Both these ports appear to need a rename (to match upstream PyPI names) 

https://pypi.python.org/pypi/PyOpenGL
https://pypi.python.org/pypi/PyOpenGL-accelerate

Also, latest (released) version is 3.1.1a1
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-21 01:39:32 UTC
Comment on attachment 164437 [details]
update py-opengl and py-opengl-accelerate to 3.1.0

This changes look ok, but still require QA pass confirmation
Comment 3 Matthew Rezny freebsd_committer 2015-12-21 02:37:10 UTC
As far as I can tell, the most recent stable release is 3.1.0. That is the version referred to in the manual install instructions on upstream's site.

The "releases" on PyPi in chronological order since the last ports version have been:
2010-02-25  3.0.1
2012-10-02  3.0.1
2014-03-24  3.1.0b2
2014-05-25  3.1.0b3
2014-06-27  3.1.0
2015-02-13  3.1.1a1

The order reinforces the assertion that upstream did use the letter b to designate beta releases previously. That, and the fact there are no binaries for this a1 release, leads me to believe that 3.1.1a1 is an alpha release and not yet suitable for inclusion in ports, except as -devel variants.

I would like to see these ports updated to the most recent stable release so that they may be functional. I do not care if the ports get renamed to have more py. I do object to having the ports updated to an unstable release simply because that is the last which appeared on PyPi.
Comment 4 Kurt Jaeger freebsd_committer 2016-05-08 20:53:28 UTC
Testbuilds are fine.
Comment 5 commit-hook freebsd_committer 2016-05-09 19:26:51 UTC
A commit references this bug:

Author: pi
Date: Mon May  9 19:26:28 UTC 2016
New revision: 414888
URL: https://svnweb.freebsd.org/changeset/ports/414888

Log:
  graphics/py-opengl{-accelerate}: 3.0.1 -> 3.1.0, change to PyPI naming

  - upgrade fixes the use of the port
  - py-opengl -> py-PyOpenGL
  - py-opengl-accelerate -> py-PyOpenGL-accelerate

  PR:		205472
  Submitted by:	matthew@reztek.cz
  Reviewed by:	koobs

Changes:
  head/MOVED
  head/cad/py-pycam/Makefile
  head/games/bouncy/Makefile
  head/games/fretsonfire/Makefile
  head/games/nelly/Makefile
  head/graphics/Makefile
  head/graphics/gsculpt/Makefile
  head/graphics/impressive/Makefile
  head/graphics/py-PyOpenGL/
  head/graphics/py-PyOpenGL/Makefile
  head/graphics/py-PyOpenGL/distinfo
  head/graphics/py-PyOpenGL-accelerate/
  head/graphics/py-PyOpenGL-accelerate/Makefile
  head/graphics/py-PyOpenGL-accelerate/distinfo
  head/graphics/py-opengl/
  head/graphics/py-opengl-accelerate/
  head/graphics/py-pyggel/Makefile
  head/x11/xpra/Makefile
  head/x11-toolkits/py-gtkglext/Makefile
  head/x11-toolkits/py-wxPython28/Makefile
Comment 6 Kurt Jaeger freebsd_committer 2016-05-09 19:27:31 UTC
Committed, thanks!
Comment 7 Matthew Rezny freebsd_committer 2016-05-10 08:47:06 UTC
Unfortunately, the renaming effort during commit has broken py-opengl-accelerate. The identical distinfo files after the commit should be a clue something is amiss.  Testbuilds in a synthetic environment have been successful, but any effort to install them together would fail since py-PyOpenGL-accelerate is now fetching and building py-PyOpenGL.

Commenting out DISTNAME is the problem. It can be made nicer using PORTNAME there now that the port is renamed, but it must remain because PKGNAMESUFFIX will not affect DISTNAME by default, just like PKGNAMEPREFIX on the line above. While restoring DISTNAME to py-PyOpenGL-accelerate, you might as well remove it entirely from py-PyOpenGL.
Comment 8 Matthew Rezny freebsd_committer 2016-05-10 08:48:23 UTC
Created attachment 170171 [details]
fix py-PyOpenGL-accelerate
Comment 9 Matthew Rezny freebsd_committer 2016-05-10 09:42:34 UTC
Created attachment 170173 [details]
fix py-PyOpenGL-accelerate

While looking at this again I couldn't help but notice that py-PyOpenGL-accelerate also uses NumPy, but only py-PyOpenGL declares a dependency on NumPy. The fix patch has been revised to add BUILD/RUN_DEPENDS on PYNUMPY in py-PyOpenGL-accelerate.
Comment 11 commit-hook freebsd_committer 2016-05-10 21:30:03 UTC
A commit references this bug:

Author: pi
Date: Tue May 10 21:29:04 UTC 2016
New revision: 414964
URL: https://svnweb.freebsd.org/changeset/ports/414964

Log:
  graphics/py-PyOpenGL-accelerate: fix Makefile after rename

  - fixed port after rename
  - add BUILD/RUN_DEPENDS on PYNUMPY

  PR:		205472
  Submitted by:	matthew@reztek.cz

Changes:
  head/graphics/py-PyOpenGL-accelerate/Makefile
  head/graphics/py-PyOpenGL-accelerate/distinfo
Comment 12 commit-hook freebsd_committer 2016-05-10 21:37:05 UTC
A commit references this bug:

Author: pi
Date: Tue May 10 21:36:34 UTC 2016
New revision: 414967
URL: https://svnweb.freebsd.org/changeset/ports/414967

Log:
  graphics/gsculpt: fix depend on graphics/py-PyOpenGL

  PR:		205472
  Reported by:	antoine

Changes:
  head/graphics/gsculpt/Makefile
Comment 13 commit-hook freebsd_committer 2016-05-10 21:38:07 UTC
A commit references this bug:

Author: pi
Date: Tue May 10 21:37:39 UTC 2016
New revision: 414968
URL: https://svnweb.freebsd.org/changeset/ports/414968

Log:
  graphics/impressive: Fix depend on graphics/py-PyOpenGL

  PR:		205472
  Reported by:	antoine

Changes:
  head/graphics/impressive/Makefile
Comment 14 commit-hook freebsd_committer 2016-05-10 21:39:08 UTC
A commit references this bug:

Author: pi
Date: Tue May 10 21:38:35 UTC 2016
New revision: 414969
URL: https://svnweb.freebsd.org/changeset/ports/414969

Log:
  games/bouncy: fix depend on graphics/py-PyOpenGL

  PR:		205472
  Reported by:	antoine

Changes:
  head/games/bouncy/Makefile
Comment 15 Kurt Jaeger freebsd_committer 2016-05-10 21:56:57 UTC
I hope that's it for now.